Hypetech Parceiros
Início
Hypetech Games
Início
Hypetech Games
  1. Webhook
  • Overview
  • About Hypetech API
  • Mandatory validation rules
  • Setup Webhook
  • Signature Verification
  • Error Handling
  • APIs
    • Acessing games
      • Create Session
      • Get Game List
    • Sessions
      • Session Transactions
      • Active Sessions
    • Webhook
      • Register Bet
        POST
      • Register Win
        POST
      • Balance
        POST
      • Rollback
        POST
    • Promotional
      • Free bet
        • Redeem Free Bet
  1. Webhook

Rollback

POST
https://yourdomain.com/yourRollbackPath
This webhook is triggered whenever a user's bet is canceled in the Hypetech API. It logs rollback transactions, ensuring data consistency and transparent balance adjustments.

Requisição

Parâmetros Bodyapplication/json

Respostas

🟢200Success
application/json
Bodyapplication/json

🟠401Not authorized
🟠404Route not found
🔴500Internal server error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://yourdomain.com/yourRollbackPath' \
--header 'Content-Type: application/json' \
--data '{
    "user_id": "string",
    "currency": "string",
    "amount": 0,
    "provider": "string",
    "provider_tx_id": 0,
    "game": "string",
    "action": "string",
    "session_token": "string",
    "linked_tx_id": 0,
    "round_id": "string",
    "extra_data": "string",
    "aggregator": "string"
}'
Response Response Example
200 - Exemplo 1
{
    "operator_tx_id": "string",
    "new_balance": 0,
    "old_balance": 0
}
Modificado em 2026-05-04 20:29:46
Página anterior
Balance
Próxima página
Redeem Free Bet